function M = myjacobi2(A,b,m0,tol)
A = [10 -2 1; -2 10 -2; -2 -5 10];
b = [9 12 18]';
m0 = [0 0 0]';
max1 = 100; 
tol = 1E-15;
n = length(b);
format long 
for k = 1:max1
    for i =1:n
       iter(i+1)=i;
        M(i) = (b(i)-A(i,[1:i-1,i+1:n])*m0([1:i-1,i+1:n]))/A(i,i)
    end
    err = abs(norm(M'-m0));
    relerr = err/(norm(M));
    m0 = M';
    if(err<tol)|(relerr<tol)
        break
    end
end
M=M'
table(iter',M',err')